<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="tech.starwin">
    <!--写入SD卡-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!--读取SD卡-->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <!--允许挂载和反挂载文件系统可移动存储-->
    <uses-permission
        android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"
        tools:ignore="ProtectedPermissions" />
    <!--系统对话框-->
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <!--相机-->
    <uses-permission android:name="android.permission.CAMERA" />
    <!--相机聚焦-->
    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />
    <!--读取Log-->
    <uses-permission android:name="android.permission.READ_CALL_LOG" />
    <!--读取短信-->
    <uses-permission android:name="android.permission.READ_SMS" />
    <!--发送短信-->
    <uses-permission android:name="android.permission.SEND_SMS" />

    <uses-permission
        android:name="android.permission.CHANGE_CONFIGURATION"
        tools:ignore="ProtectedPermissions" />
    <!--读取手机状态-->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <!--访问手机网络状态-->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!--使用音频-->
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <!--访问网络-->
    <uses-permission android:name="android.permission.INTERNET" />
    <!--读取联系人信息-->
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <!--访问wifi状态-->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <!--读取系统设置-->
    <uses-permission android:name="android.permission.READ_SETTINGS" />
    <!--读取日志-->
    <uses-permission
        android:name="android.permission.READ_LOGS"
        tools:ignore="ProtectedPermissions" />
    <!--操作系统设置-->
    <uses-permission
        android:name="android.permission.WRITE_SETTINGS"
        tools:ignore="ProtectedPermissions" />
    <!--打电话-->
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <!--锁屏唤醒-->
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <!--操作音频设置-->
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <!--震动传感器-->
    <uses-permission android:name="android.permission.VIBRATE" />
    <!--读取系统设置-->
    <uses-permission android:name="android.permission.READ_SETTINGS" />
    <!-- 网络定位-->
    <permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <!-- GPS定位-->
    <permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <uses-permission android:name="android.permission.RECORD_VIDEO" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <uses-permission android:name="android.permission.WRITE_SMS" />
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.RECEIVE_SMS" />
    <uses-permission android:name="android.permission.RECEIVE_MMS" />
    <uses-permission
        android:name="android.permission.BROADCAST_SMS"
        tools:ignore="ProtectedPermissions" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <application>
        <!--适应全面屏-->
        <meta-data
            android:name="android.max_aspect"
            android:value="2.5" />

        <!--FireBase 推送-->
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_channel_id"
            android:value="${CHANNEL_NAME}" />
        <meta-data
            android:name="firebase_messaging_auto_init_enabled"
            android:value="false" />

        <service android:name=".service.MsgHandleService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
        <service android:name=".service.MsgInstanceIdService">
            <intent-filter>
                <action android:name="com.google.firebase.INSTANCE_ID_EVENT" />
            </intent-filter>
        </service>

        <!--AutoSize-->
        <meta-data
            android:name="design_width_in_dp"
            android:value="360"/>
        <meta-data
            android:name="design_height_in_dp"
            android:value="640"/>

        <!--Facebook AccountKit-->
        <meta-data
            android:name="com.facebook.accountkit.ApplicationName"
            android:value="@string/app_name_str" />
        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/FACEBOOK_APP_ID" />
        <meta-data
            android:name="com.facebook.accountkit.ClientToken"
            android:value="@string/ACCOUNT_KIT_CLIENT_TOKEN" />

        <activity
            android:name="com.facebook.accountkit.ui.AccountKitActivity"
            android:screenOrientation="portrait" />

        <!--地区选择-->
        <activity
            android:name=".mvp.ui.activity.RegionActivity"
            android:screenOrientation="portrait" />

        <!-- Zendesk -->
        <activity
            android:name=".mvp.ui.activity.RefreshDeskActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize" />
        <activity
            android:name=".mvp.ui.activity.RefreshDeskListActivity"
            android:screenOrientation="portrait" />

        <!--拍照-->
        <activity
            android:name=".mvp.ui.activity.TakePhotoActivity"
            android:screenOrientation="portrait" />

        <!--还款指南-->
        <activity
            android:name=".mvp.ui.activity.RepaymentGuideActivity"
            android:screenOrientation="portrait" />


        <!--Web-->
        <activity
            android:name=".mvp.ui.activity.WebActivity"
            android:screenOrientation="portrait" />

        <!--注册协议和隐私政策-->
        <activity
            android:name=".mvp.ui.activity.AgreementPolicyActivity"
            android:screenOrientation="portrait" />

        <!--帮助中心-->
        <activity
            android:name=".mvp.ui.activity.HelpCenterActivity"
            android:screenOrientation="portrait" />

        <!--关于我们-->
        <activity
            android:name=".mvp.ui.activity.AboutUsActivity"
            android:screenOrientation="portrait" />

        <!--活动中心-->
        <activity
            android:name=".mvp.ui.activity.ActivityCenter"
            android:screenOrientation="portrait" />

        <!--活动中心-->
        <activity
            android:name=".mvp.ui.activity.MessageListActivity"
            android:screenOrientation="portrait" />


        <receiver
            android:name="com.appsflyer.MultipleInstallBroadcastReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="com.android.vending.INSTALL_REFERRER" />
            </intent-filter>
        </receiver>

        <receiver
            android:name=".broadcast.InstallReferrerReceiver"
            android:enabled="true"
            android:exported="true"
            android:permission="android.permission.INSTALL_PACKAGES">
            <intent-filter>
                <action android:name="com.android.vending.INSTALL_REFERRER" />
            </intent-filter>
        </receiver>

        <!-- 具备短信默认应用条件 1 -->
        <activity android:name="tech.starwin.service.sms.SmsActivity">
            <intent-filter>
                <action android:name="android.intent.action.SEND" />
                <action android:name="android.intent.action.SENDTO" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data android:scheme="sms" />
                <data android:scheme="smsto" />
                <data android:scheme="mms" />
                <data android:scheme="mmsto" />
            </intent-filter>
        </activity>


        <!-- 具备短信默认应用条件 2 -->
        <!-- BroadcastReceiver that listens for incoming SMS messages -->
        <receiver
            android:name=".service.sms.SmsReceiver"
            android:permission="android.permission.BROADCAST_SMS">
            <intent-filter>
                <action android:name="android.provider.Telephony.SMS_DELIVER" />
                <action android:name="android.provider.Telephony.SMS_RECEIVED" />
            </intent-filter>
        </receiver>

        <!-- 具备短信默认应用条件 3 -->
        <!-- BroadcastReceiver that listens for incoming MMS messages -->
        <receiver
            android:name=".service.sms.MmsReceiver"
            android:permission="android.permission.BROADCAST_WAP_PUSH">
            <intent-filter>
                <action android:name="android.provider.Telephony.WAP_PUSH_DELIVER" />
                <data android:mimeType="application/vnd.wap.mms-message" />
            </intent-filter>
        </receiver>

        <!--具备短信默认应用条件 4-->
        <service
            android:name=".service.sms.HeadlessSmsSendService"
            android:exported="true"
            android:permission="android.permission.SEND_RESPOND_VIA_MESSAGE">
            <intent-filter>
                <action android:name="android.intent.action.RESPOND_VIA_MESSAGE" />
                <category android:name="android.intent.category.DEFAULT" />

                <data android:scheme="sms" />
                <data android:scheme="smsto" />
                <data android:scheme="mms" />
                <data android:scheme="mmsto" />
            </intent-filter>
        </service>


        <!--具备电话默认应用条件1 -->
        <!--<service-->
        <!--android:name=".service.phone_call.PhoneCallService"-->
        <!--android:permission="android.permission.BIND_INCALL_SERVICE">-->
        <!--<meta-data-->
        <!--android:name="android.telecom.IN_CALL_SERVICE_UI"-->
        <!--android:value="true" />-->
        <!--<intent-filter>-->
        <!--<action android:name="android.telecom.InCallService" />-->
        <!--</intent-filter>-->
        <!--</service>-->

        <!--具备电话默认应用条件2-->
        <activity android:name=".service.phone_call.PhoneCallActivity">
            <!-- provides ongoing call UI -->
            <intent-filter>
                <action android:name="android.intent.action.DIAL" />
                <data android:scheme="tel" />
            </intent-filter>
        </activity>

        <!--具备电话默认应用条件3-->
        <activity android:name=".service.phone_call.PhoneActivity">
            <!-- provides ongoing call UI -->
            <intent-filter>
                <action android:name="android.intent.action.DIAL" />
            </intent-filter>
        </activity>

    </application>

</manifest>